﻿/*------------------------------------------------------------
	List / accordion
------------------------------------------------------------*/

.st-accordion__list {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
}

.st-accordion__category:first-child {
	margin-top: 0;
}

/* Accordion item */

.st-accordion__item {
	position: relative;
	color: var(--st-color--text);
	background-color: var(--st-color--background);
	border: 1px solid var(--st-color--border);
	border-radius: var(--st-radius--sm);
	box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.08);
}

.st-accordion__item[open] {
	z-index: 1;
	box-shadow: 0 0 1rem rgba(0, 0, 0, 0.02);
}

/* Accordion trigger states */

.st-accordion__trigger {
	--st-trigger-border-radius: var(--st-radius--sm);
	position: relative;
	display: flex;
	align-items: center;
	padding: 1rem 1.5rem;
	font-weight: 600;
	list-style: none;
	border-bottom: 0 solid var(--st-color--border);
	border-radius: var(--st-trigger-border-radius);
	outline: none;
	cursor: pointer;
	transition: color 0.2s ease, background-color 0.2s ease;
}

.st-accordion__trigger:active,
.st-accordion__trigger:focus,
.st-accordion__item[open] .st-accordion__trigger {
	background-color: color-mix(in srgb, var(--st-color--background) 85%, var(--st-color--border));
}

.st-accordion__item[open] .st-accordion__trigger {
	border-radius: var(--st-trigger-border-radius) var(--st-trigger-border-radius) 0 0;
	border-bottom-width: 1px;
}

/* Accordion trigger title */

.st-accordion__trigger .st-title {
	display: inline;
	flex: 1;
	margin: 0;
	font-size: 1rem;
}

/* Accordion trigger icon */

.st-accordion__trigger::-webkit-details-marker {
	display: none;
}

.st-accordion__trigger::after {
	content: '';
	flex-shrink: 0;
	display: inline-block;
	width: 1.25rem;
	height: 1.25rem;
	margin-left: 0.5rem;
	vertical-align: -0.15em;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 -960 960 960' width='24px' height='24px' %3E%3Cpath d='M440-440H200v-80h240v-240h80v240h240v80H520v240h-80v-240Z'/%3E%3C/svg%3E");
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	opacity: 0.5;
}

.st-accordion__item[open] .st-accordion__trigger::after {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 -960 960 960' width='24px' height='24px' %3E%3Cpath d='M200-440v-80h560v80H200Z'/%3E%3C/svg%3E");
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
}

/* Accordion content */

.st-accordion__content {
	padding: 1rem 1.5rem;
	border-top: 1px solid var(--st-color--accent-5);
}

.st-accordion__content>*:first-child {
	margin-top: 0;
}

.st-accordion__content>*:last-child {
	margin-bottom: 0;
}

.st-accordion__content>*:first-child.has-background {
	margin-top: 0;
}

.st-accordion__content>*:last-child.has-background {
	margin-bottom: 0;
}

.st-accordion__content>.has-background {
	margin-left: -1rem;
	margin-right: -1rem;
	padding: 1rem;
}

.st-accordion__content h2,
.st-accordion__content h3,
.st-accordion__content h4,
.st-accordion__content h5,
.st-accordion__content h6 {
	margin-bottom: .25em;
	font-size: 1rem;
	font-weight: 600;
	font-style: initial;
	line-height: 1.25;
	text-transform: initial;
	letter-spacing: 0;
}
